analysesResult.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Macros | Functions
analysesResult.cc File Reference
`#include "osl/annotate/analysesResult.h"`
`#include "osl/misc/carray.h"`
`#include <boost/foreach.hpp>`
Include dependency graph for analysesResult.cc:

Go to the source code of this file.

## Macros
#define | out(os, shared, x) os << #x << " " << shared.x << " "
#define | outif(os, shared, x) outt(os, shared.x, #x)

## Functions
template<class T >
void | outt (std::ostream &os, const T &a, const char *str)

## Macro Definition Documentation

#define out | ( |  | os,
|  |  | shared,
|  |  | x
| ) |  | os << #x << " " << shared.x << " "

Definition at line 28 of file analysesResult.cc.

Referenced by osl::move_probability::FeatureSet::analyze(), check_all(), osl::search::Store::dropMove(), osl::search::NoCaptureStore::dropMove(), osl::eval::ml::RookMobilityAll::eval(), osl::eval::ml::BishopMobilityAll::eval(), osl::eval::ml::LanceMobilityAll::eval(), osl::eval::ml::King25EffectEachBoth::evalOne(), osl::eval::ml::PtypeCount::evalPlayerPtype(), osl::effect_util::SendOffSquare::find(), find_all(), osl::move_generator::GenerateAddEffectWithEffect::generate(), osl::move_generator::GenerateCapture::generate(), osl::search::MoveGenerator::generateAll(), osl::game_playing::UsiResponse::hasImmediateResponse(), logValue(), osl::move_probability::BlockLong::makeLongAttackOne(), operator<<(), osl::annotate::operator<<(), osl::eval::ppair::PiecePairPieceTable::setUp(), osl::record::csa::show(), osl::search::Store::simpleMove(), osl::search::NoCaptureStore::simpleMove(), osl::move_probability::ToEffect::supportAttack(), osl::search::Store::unknownMove(), osl::search::NoCaptureStore::unknownMove(), and osl::game_playing::SpeculativeAllMoves::SearchAllMoves::StatusLock::~StatusLock().

#define outif | ( |  | os,
|  |  | shared,
|  |  | x
| ) |  | outt(os, shared.x, #x)

Definition at line 34 of file analysesResult.cc.

Referenced by osl::annotate::operator<<().

## Function Documentation

template<class T >

void outt | ( | std::ostream & | os,
|  | const T & | a,
|  | const char * | str
| ) |  |

Definition at line 29 of file analysesResult.cc.